pushd .

if /I "%1"=="wins" goto wins
if /I "%1"=="winscw" goto winscw

SET ENGINE_DIR="%EPOCROOT%epoc32\release\%1\%2"
SET ENGINE="mameengine.lib"
del /f/q %ENGINE_DIR%\%ENGINE%

SET BUILD_BASE="%EPOCROOT%epoc32\build%EMAMEROOT%src\epoc\group"
if /I "%1"=="gcce" SET BUILD_BASE="%BUILD_BASE%\scripts"

SET DIR="%BUILD_BASE%\core\%1\%2"
cd %DIR%
ar -q %engine% *.o
SET OLDDIR=%DIR%\

SET DIR="%BUILD_BASE%\drivers\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

SET DIR="%BUILD_BASE%\sound\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

SET DIR="%BUILD_BASE%\vidhrdw\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

SET DIR="%BUILD_BASE%\machines\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

SET DIR="%BUILD_BASE%\sndhrdw\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

SET DIR="%BUILD_BASE%\cpus\%1\%2"
cd %DIR%
move %OLDDIR%\%ENGINE% .
ar -q %engine% *.o
SET OLDDIR=%DIR%

cd %ENGINE_DIR%
move %OLDDIR%\%ENGINE% .
ranlib %ENGINE%

goto done

:wins
cd %EPOCROOT%epoc32\build%EMAMEROOT%
echo LINK_OBJS= \> winsobj.lst
bash -c "find . -type f -name *.obj | grep -v /GROUP/EEMAME/ | sed 's/$/ \\\\/' >> winsobj.lst"
nmake -f %EMAMEROOT%src\epoc\group/scripts\mameengine.wins.mak
goto done

:winscw
cd %EPOCROOT%epoc32\build%EMAMEROOT%
echo LINK_OBJS= \> winscwobj.lst
bash -c "find . -type f -name *.o | grep -iv /group/scripts/eemame/ | sed 's/$/ \\\\/' >> winscwobj.lst"
nmake -f %EMAMEROOT%src\epoc\group/scripts\mameengine.winscw.mak
goto done

:done
popd
