/*******************************************************************
 *
 *	File:		Osinline.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __OSINLINE__
#define __OSINLINE__

#ifdef INLINE
#undef INLINE
#endif
#define INLINE static __inline
unsigned int osd_cycles();


#ifdef _UNICODE

#define HEREL2(l)	L#l
#define HEREL1(l)	HEREL2(l)
#define TO_UNI1(s)	L##s
#define TO_UNI(s)	TO_UNI1(s)
#define HERE_STR(m) TO_UNI(__FILE__) L"(" HEREL1(__LINE__) L") : " L##m
#define HERE(m)	TPtrC((const TText *) HERE_STR(m))

#else

#define HEREL2(l)	#l
#define HEREL1(l)	HEREL2(l)
#define HERE_STR   __FILE__ "(" HEREL1(__LINE__) ") : "
#define HERE(m)	TPtrC((const TText *) HERE_STR m)

#endif

//#ifdef _DEBUG
#if 0
#define DPRINT(x) RDebug::Print x;
#else
#define DPRINT(x)
#endif

#endif /* __OSINLINE__ */
