#include "cezlib.h"

int
compress_wrapper(Bytef *dest, 
                 uLongf *destLen,
                 const Bytef *source, 
                 uLong sourceLen)
{
  return compress(dest, destLen, source, sourceLen);
}

int
uncompress_wrapper(Bytef *dest, 
                   uLongf *destLen,
                   const Bytef *source,
                   uLong sourceLen)
{
  return uncompress(dest, destLen, source, sourceLen);
}

uLong
crc32_wrapper(uLong crc, const Bytef *buf, uInt len)
{
  return crc32(crc, buf, len);
}

int
inflateInit2_wrapper(z_streamp strm, int windowBits)
{
  return inflateInit2(strm, windowBits);
}

int
inflateEnd_wrapper(z_streamp strm)
{
  return inflateEnd(strm);
}

int
inflate_wrapper(z_streamp strm, int flush)
{
  return inflate(strm, flush);
}
